> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /tag/:uid/config/:id

> Fetches a single publisher config (ad unit)



## OpenAPI

````yaml /openapi.json get /v1/tag/{uid}/config/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/tag/{uid}/config/{id}:
    get:
      tags:
        - Publisher/Config (Ad unit)
        - public
      summary: /tag/:uid/config/:id
      description: Fetches a single publisher config (ad unit)
      parameters:
        - name: uid
          in: path
          description: Publisher ID
          required: true
          example: 0
          schema:
            type: integer
        - name: id
          in: path
          description: Config ID
          required: true
          example: 0
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      domain:
                        type: string
                      id:
                        type: integer
                      uid:
                        type: integer
                      label:
                        type: string
                      stack:
                        type: integer
                      config:
                        type: object
                        properties:
                          disable_branding:
                            type: boolean
                          in_view:
                            type: boolean
                          limit:
                            type: integer
                          refresh:
                            type: boolean
                          single_serve:
                            type: boolean
                          sizes:
                            type: object
                            properties:
                              desktop:
                                type: array
                                items:
                                  type: string
                              mobile:
                                type: array
                                items:
                                  type: string
                              tablet:
                                type: array
                                items:
                                  type: string
                            required:
                              - desktop
                              - mobile
                              - tablet
                          target:
                            type: string
                          target_injection:
                            type: string
                          url_filter:
                            type: object
                            properties:
                              matches:
                                type: array
                                items:
                                  type: string
                              type:
                                type: string
                            required:
                              - matches
                              - type
                          ymal_text:
                            type: string
                          viewport_filter:
                            type: object
                            properties:
                              type:
                                type: string
                              matches:
                                type: array
                                items:
                                  type: string
                            required:
                              - type
                              - matches
                          unit:
                            type: string
                        required:
                          - disable_branding
                          - in_view
                          - limit
                          - refresh
                          - single_serve
                          - sizes
                          - target
                          - target_injection
                          - url_filter
                          - ymal_text
                          - viewport_filter
                          - unit
                      revision:
                        type: integer
                      date_added:
                        type: string
                      date_updated:
                        type: string
                      status:
                        type: integer
                      in_experiment:
                        type: boolean
                    required:
                      - domain
                      - id
                      - uid
                      - label
                      - stack
                      - config
                      - revision
                      - date_added
                      - date_updated
                      - status
                      - in_experiment
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  domain: example.com
                  id: 8388
                  uid: 18620
                  label: MPU 1
                  stack: 338
                  config:
                    disable_branding: false
                    in_view: true
                    limit: 1
                    refresh: true
                    single_serve: false
                    sizes:
                      desktop:
                        - 200x200
                        - 250x250
                        - 300x250
                      mobile:
                        - 200x200
                        - 250x250
                        - 300x100
                        - 300x250
                        - 300x50
                      tablet:
                        - 200x200
                        - 250x250
                        - 300x250
                    target: '[position="mpu_mobile"][variant="1"]'
                    target_injection: inside
                    url_filter:
                      matches:
                        - /my-account*
                      type: exclude
                    ymal_text: ADVERTISEMENT
                    viewport_filter:
                      type: include
                      matches:
                        - ≤1422px
                    unit: iab
                  revision: 10
                  date_added: '2023-11-02 20:34:52'
                  date_updated: '2024-05-30 11:10:13'
                  status: 1
                  in_experiment: false
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````